import { http, Method } from '@/utils/request';
import storage from "@/utils/storage.js";
const userInfo = storage.getUserInfo()
/**
 * 获取部门下的用户列表
 * @param {Number} deptId - 部门ID
 * @returns {Promise} - 返回用户列表
 */
export function getUsersByDeptId(deptId) {
  return http.request({
    url: `/system/user/list/dept/${deptId}`,
    method: Method.GET
  });
}

/**
 * 根据地块ID获取相关联的部门用户
 * @param {Number} plotId - 地块ID
 * @returns {Promise} - 返回用户列表
 */
export function getUsersByPlotId(params) {
  return http.request({
    url: '/system/user/list',
    method: Method.GET,
	params: params,
	needToken: true
  });
}

/**
 * 获取用户详情
 * @param {Number} userId - 用户ID
 * @returns {Promise} - 返回用户详情
 */
export function getUserInfo(userId) {
  const id = userId ?? userInfo?.userid; // 优先用传入参数，其次用全局userInfo
  if (!id) {
    throw new Error('缺少 userId');
  }
  return http.request({
    url: `/system/user/${id}`,
    method: Method.GET
  });
}
